<app-loading *ngIf="isLoading"></app-loading>
<div class="form-system-allocation">
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[30, 10]">
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select formControlName="periodId" [mbDataSelects]="dataAssessmentPeriod" [mbShowSearch]="false"
                   mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}" mbKeyLabel="periodName"
                   mbKeyValue="periodId">
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6">
        <mb-select formControlName="orgId" [mbDataSelects]="listAllocationLineBranchSelect" [mbShowSearch]="true"
                   mbLabelText="{{'goaManagement.system-allocation.label.attribute.nameBranch' | translate}}" mbKeyLabel="orgName"
                   mbKeyValue="orgId">
        </mb-select>
      </div>
      <div nz-col nzSm="24" nzXs="24" nzLg="6" class="btn-fl">
        <mb-button
          mbButtonSize="VERY_LARGE"
          mbButtonAvailableStyle="CUSTOM"
          (click)="searchForm()"
          mbButtonText="{{'goaManagement.system-allocation.label.attribute.search' | translate}}"
        ></mb-button>
      </div>
    </div>
  </form>
</div>
